/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "Ieee1609Dot3Wee"
 * 	found in "../Ieee1609Dot3Wee.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_ProviderMacAddress_H_
#define	_ProviderMacAddress_H_


#include <asn_application.h>

/* Including external dependencies */
#include "MACaddress.h"

#ifdef __cplusplus
extern "C" {
#endif

/* ProviderMacAddress */
typedef MACaddress_t	 ProviderMacAddress_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_ProviderMacAddress;
asn_struct_free_f ProviderMacAddress_free;
asn_struct_print_f ProviderMacAddress_print;
asn_constr_check_f ProviderMacAddress_constraint;
ber_type_decoder_f ProviderMacAddress_decode_ber;
der_type_encoder_f ProviderMacAddress_encode_der;
xer_type_decoder_f ProviderMacAddress_decode_xer;
xer_type_encoder_f ProviderMacAddress_encode_xer;
per_type_decoder_f ProviderMacAddress_decode_uper;
per_type_encoder_f ProviderMacAddress_encode_uper;

#ifdef __cplusplus
}
#endif

#endif	/* _ProviderMacAddress_H_ */
#include <asn_internal.h>
